Debian Bug report logs - #451765
how to select options in preferences without mouse?

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Harald Dunkel <harald.dunkel@t-online.de>

Date: Sun, 18 Nov 2007 10:57:01 UTC

Severity: normal

Found in version aptitude/0.4.9-1

Fixed in version aptitude/0.4.10-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#451765; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Harald Dunkel <harald.dunkel@t-online.de>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Harald Dunkel <harald.dunkel@t-online.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: how to select options in preferences without mouse?
Date: Sun, 18 Nov 2007 11:53:41 +0100
Package: aptitude
Version: 0.4.9-1

I haven't seen it documented anywhere: How can I select and
deselect options in the preferences menu, if there is no mouse
available, e.g. on the console? Something like 'x', 'y' or the
space bar did not work for me.

The same problem seems to exist for 0.4.7-1 on amd64.


Regards

Harri





Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#451765; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Michelle Konzack <linux4michelle@freenet.de>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #10 received at 451765@bugs.debian.org (full text, mbox):

From: Michelle Konzack <linux4michelle@freenet.de>
To: Harald Dunkel <harald.dunkel@t-online.de>, 451765@bugs.debian.org
Subject: Re: Bug#451765: how to select options in preferences without mouse?
Date: Thu, 22 Nov 2007 00:41:49 +0100
[Message part 1 (text/plain, inline)]
Am 2007-11-18 11:53:41, schrieb Harald Dunkel:
> Package: aptitude
> Version: 0.4.9-1
> 
> I haven't seen it documented anywhere: How can I select and
> deselect options in the preferences menu, if there is no mouse
> available, e.g. on the console? Something like 'x', 'y' or the
> space bar did not work for me.
> 
> The same problem seems to exist for 0.4.7-1 on amd64.

<F10>		open the menu

<arrow_left>	let you walk through the different menus
<arrow_right>

<arrow_up>	let you walk through the menu options
<arror_down>

Then inside an an Preferences dialog, you can use <tab>, <arrow_down> or
<arror_up> to walk through the preferences.  now you need only <space>
to activate or deactivate an option.

Realy difficult  :-)  for a Windows $USER (I asume)

Thanks, Greetings and nice Day
    Michelle Konzack
    Tamay Dogan Network
    Open Hardware Developer
    Debian GNU/Linux Consultant


-- 
Linux-User #280138 with the Linux Counter, http://counter.li.org/
##################### Debian GNU/Linux Consultant #####################
Michelle Konzack   Apt. 917                  ICQ #328449886
                   50, rue de Soultz         MSN LinuxMichi
0033/6/61925193    67100 Strasbourg/France   IRC #Debian (irc.icq.com)
[signature.pgp (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#451765; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 451765@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Harald Dunkel <harald.dunkel@t-online.de>, 451765@bugs.debian.org, Michelle Konzack <linux4michelle@freenet.de>
Subject: Re: Bug#451765: how to select options in preferences without mouse?
Date: Fri, 30 Nov 2007 18:28:22 -0800
  I should perhaps note, since I didn't send an email at the time, that
I fixed this bug report a little while back.  The preference items now
use the same PushButton key binding that is used by other
check-box-type things, and so they will react to both Enter and Space,
like all the other buttons in aptitude do.

---------- cut here -----------
changeset:   945:079501679e05
user:        Daniel Burrows <dburrows@debian.org>
date:        Tue Nov 20 08:46:37 2007 -0800
summary:     Make Space, along with Enter, activate checkboxes and radio buttons in the preferences screen. (Closes: #451765)
---------- cut here -----------

  Thanks for the report.

  Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#451765; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Harald Dunkel <harald.dunkel@t-online.de>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #20 received at 451765@bugs.debian.org (full text, mbox):

From: Harald Dunkel <harald.dunkel@t-online.de>
To: 451765@bugs.debian.org, Michelle Konzack <linux4michelle@freenet.de>, Daniel Burrows <dburrows@debian.org>
Subject: of course [space] does _not_ work
Date: Sat, 01 Dec 2007 09:25:50 +0100
Hi Michelle,

I am not stupid. I am on Unix for 25 years. And since 0.95a
I've got Linux on my desktop.

Of course I tried the [space] and [enter] keys to select and
deselect items in the preferences menu. But it doesn't work.
Using the mouse in an xterm does work, but on the console I
don't have mouse support installed.

I can reproduce this for i386 and amd64 using aptitude 0.4.9-2.

BTW, using [Shift-D] to hide the lower part of the Preferences
screen doesn't work, either. I can use the arrow keys to scroll
through the preferences options. though.


Regards

Harri





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#451765; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #25 received at 451765@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Harald Dunkel <harald.dunkel@t-online.de>
Cc: 451765@bugs.debian.org, Michelle Konzack <linux4michelle@freenet.de>
Subject: Re: of course [space] does _not_ work
Date: Sat, 01 Dec 2007 08:54:57 -0800
On Sat, Dec 01, 2007 at 09:25:50AM +0100, Harald Dunkel <harald.dunkel@t-online.de> was heard to say:
> Of course I tried the [space] and [enter] keys to select and
> deselect items in the preferences menu. But it doesn't work.
> Using the mouse in an xterm does work, but on the console I
> don't have mouse support installed.

  That's interesting.  Are you sure [enter] doesn't work?  I just tried
it here and it does, although [space] is broken in 0.4.9-2.  Hopefully
the next release will make both of them work anyway, but if [enter]
doesn't work for you in 0.4.9-2, I'm a bit worried.

> BTW, using [Shift-D] to hide the lower part of the Preferences
> screen doesn't work, either. I can use the arrow keys to scroll
> through the preferences options. though.

  That should probably be fixed too.  I'll make a clone of this report
and retitle it.

    Thanks,
  Daniel




Bug 451765 cloned as bug 453853. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Sat, 01 Dec 2007 17:33:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#451765; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Harald Dunkel <harald.dunkel@t-online.de>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #32 received at 451765@bugs.debian.org (full text, mbox):

From: Harald Dunkel <harald.dunkel@t-online.de>
To: Daniel Burrows <dburrows@debian.org>
Cc: 451765@bugs.debian.org
Subject: Re: of course [space] does _not_ work
Date: Sun, 02 Dec 2007 09:39:05 +0100
Daniel Burrows wrote:
> 
>   That's interesting.  Are you sure [enter] doesn't work?  I just tried
> it here and it does, although [space] is broken in 0.4.9-2.  Hopefully
> the next release will make both of them work anyway, but if [enter]
> doesn't work for you in 0.4.9-2, I'm a bit worried.
> 

Yes, [Enter] does work with 0.4.9-2. It didn't for 0.4.9-1, AFAIR.

>> BTW, using [Shift-D] to hide the lower part of the Preferences
>> screen doesn't work, either. I can use the arrow keys to scroll
>> through the preferences options. though.
> 
>   That should probably be fixed too.  I'll make a clone of this report
> and retitle it.
> 

Many thanx

Harri





Tags added: pending Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Sun, 16 Dec 2007 20:55:02 GMT) Full text and rfc822 format available.

Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Harald Dunkel <harald.dunkel@t-online.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 451765-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 451765-close@bugs.debian.org
Subject: Bug#451765: fixed in aptitude 0.4.10-1
Date: Sun, 16 Dec 2007 21:47:03 +0000
Source: aptitude
Source-Version: 0.4.10-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.4.10-1_i386.deb
  to pool/main/a/aptitude/aptitude-dbg_0.4.10-1_i386.deb
aptitude-doc-cs_0.4.10-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.10-1_all.deb
aptitude-doc-en_0.4.10-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.10-1_all.deb
aptitude-doc-fi_0.4.10-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.10-1_all.deb
aptitude-doc-fr_0.4.10-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.10-1_all.deb
aptitude-doc-ja_0.4.10-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-ja_0.4.10-1_all.deb
aptitude_0.4.10-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.10-1.diff.gz
aptitude_0.4.10-1.dsc
  to pool/main/a/aptitude/aptitude_0.4.10-1.dsc
aptitude_0.4.10-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.10-1_i386.deb
aptitude_0.4.10.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.4.10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 451765@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 16 Dec 2007 11:56:23 -0800
Source: aptitude
Binary: aptitude-doc-ja aptitude-doc-cs aptitude-dbg aptitude-doc-fr aptitude-doc-fi aptitude-doc-en aptitude
Architecture: source all i386
Version: 0.4.10-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based package manager
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
Closes: 233129 450798 451311 451765 452201 452202 452541 452710 453362 454695 454700 455349 455865
Changes: 
 aptitude (0.4.10-1) unstable; urgency=low
 .
   * Add a reportbug script that includes the user's $TERM in the bug.
 .
   * Fix a typo in the aptitude description. (Closes: #452710)
 .
   * Add VCS fields to the control file.
 .
   * Build-Depend on the newest version of cwidget so we link against
     libcwidget1 instead of libcwidget0.
 .
   * New upstream release.
 .
     - Add an option --allow-untrusted to override trust warning.
       (Closes: #452201, #452541)
 .
     - Recommended packages are now hidden if quiet mode is enabled.
       (Closes: #452202)
 .
     - Fixed a segfault that would happen after updating the package lists
       or doing an install run.
         (Closes: #454695, #454700, #455349, #453362, #455865)
 .
     - If StepLimit is 0, abort dependency resolution cleanly instead of
       going into an infinite loop. (Closes: #451311)
 .
     - When visual mode is entered from the command-line (e.g., via
       --visual-preview), return a failing exit code if the last
       install run the user performs fails.
 .
     - Return a failing exit code from "aptitude update" if any
       download fails. (Closes: #233129)
 .
     - Checkboxes and radio buttons in the preferences tree will
       now toggle on both Space and Enter. (Closes: #451765)
 .
     - Command-line searches will now only print each result once.
       (Closes: #450798)
Files: 
 732f4baa22c6f3650cfc66b8a6a2344e 968 admin - aptitude_0.4.10-1.dsc
 afbaddb0aa8698746bd15b43eeefa8f0 5129549 admin - aptitude_0.4.10.orig.tar.gz
 c2b80a57cc3364ef085125f99f35cc92 33218 admin - aptitude_0.4.10-1.diff.gz
 cfa249f1746801f34a2b7dd2eef7197a 343434 doc optional aptitude-doc-cs_0.4.10-1_all.deb
 e9b7e6010d825c56ad509deb4cb4337b 336330 doc optional aptitude-doc-en_0.4.10-1_all.deb
 986cb29691ff4fb8624629837510ca02 261664 doc optional aptitude-doc-fi_0.4.10-1_all.deb
 86e5752179bb9101eddbd4ddb5cc4325 280980 doc optional aptitude-doc-fr_0.4.10-1_all.deb
 56d475f8495328a874fb8addd348b797 344564 doc optional aptitude-doc-ja_0.4.10-1_all.deb
 f2a1a3e804bbfd235ae202d3edcc3357 2447502 admin important aptitude_0.4.10-1_i386.deb
 f57e1538b52ed0cbbfa72e3a6549a82f 6505014 devel extra aptitude-dbg_0.4.10-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHZZvZch6xsM7kSXgRAuJzAKCPeyW1C+5K4obxjXecbCyZj9CIeQCgm9/h
WnXtZV8O1/oP4awDwbtJRXo=
=bOv+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Jan 2008 07:35:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:33:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.